package com.bootdo.datas.domain;

import java.io.Serializable;
import java.util.Date;

/**
 * 数据处理者名称表
 * 
 * @author admin
 * @email admin@163.com
 * @date 2022-03-06 12:46:13
 */
public class UnitDO implements Serializable {
    private static final long serialVersionUID = 1L;

    //
    private Long id;
    // 数据处理者名称
    private String reporterUnit;
    // 数据处理者名称 省份
    private String unitProvince;
    // 数据处理者名称 城市
    private String unitCity;
    // 数据处理者名称 其它信息
    private String unitOther;
    // 所属行业子类
    private String dataIndustry;

    /**
     * 所属行业: 原材料工业 装备工业 消费品工业 电子信息制造业 软件和信息技术服务业 民爆
     */
    private String industryType;
    // 备注
    private String desc;

    // 申请者
    private String uploadUser;
    // 申请者ID
    private String uploadUserid;
    // 创建时间
    private Date createTime;
    // 修改时间
    private Date updateTime;
    // 联系人
    private String liaiseMan;
    // 联系方式
    private String liaiseWay;
    // 其它行业
    private String otherIndustry;
    // 部门
    private Long deptId;

    /**
     * 设置：
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 获取：
     */
    public Long getId() {
        return id;
    }

    /**
     * 设置：数据处理者名称
     */
    public void setReporterUnit(String reporterUnit) {
        this.reporterUnit = reporterUnit;
    }

    /**
     * 获取：数据处理者名称
     */
    public String getReporterUnit() {
        return reporterUnit;
    }

    /**
     * 设置：数据处理者名称 省份
     */
    public void setUnitProvince(String unitProvince) {
        this.unitProvince = unitProvince;
    }

    /**
     * 获取：数据处理者名称 省份
     */
    public String getUnitProvince() {
        return unitProvince;
    }

    /**
     * 设置：数据处理者名称 城市
     */
    public void setUnitCity(String unitCity) {
        this.unitCity = unitCity;
    }

    /**
     * 获取：数据处理者名称 城市
     */
    public String getUnitCity() {
        return unitCity;
    }

    /**
     * 设置：数据处理者名称 其它信息
     */
    public void setUnitOther(String unitOther) {
        this.unitOther = unitOther;
    }

    /**
     * 获取：数据处理者名称 其它信息
     */
    public String getUnitOther() {
        return unitOther;
    }

    /**
     * 设置：所属行业子类
     */
    public void setDataIndustry(String dataIndustry) {
        this.dataIndustry = dataIndustry;
    }

    /**
     * 获取：所属行业子类
     */
    public String getDataIndustry() {
        return dataIndustry;
    }

    /**
     * 设置：备注
     */
    public void setDesc(String desc) {
        this.desc = desc;
    }

    /**
     * 获取：备注
     */
    public String getDesc() {
        return desc;
    }


    /**
     * 设置：申请者
     */
    public void setUploadUser(String uploadUser) {
        this.uploadUser = uploadUser;
    }

    /**
     * 获取：申请者
     */
    public String getUploadUser() {
        return uploadUser;
    }

    /**
     * 设置：申请者ID
     */
    public void setUploadUserid(String uploadUserid) {
        this.uploadUserid = uploadUserid;
    }

    /**
     * 获取：申请者ID
     */
    public String getUploadUserid() {
        return uploadUserid;
    }

    /**
     * 设置：创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 设置：修改时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 获取：修改时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 设置：联系人
     */
    public void setLiaiseMan(String liaiseMan) {
        this.liaiseMan = liaiseMan;
    }

    /**
     * 获取：联系人
     */
    public String getLiaiseMan() {
        return liaiseMan;
    }

    /**
     * 设置：联系方式
     */
    public void setLiaiseWay(String liaiseWay) {
        this.liaiseWay = liaiseWay;
    }

    /**
     * 获取：联系方式
     */
    public String getLiaiseWay() {
        return liaiseWay;
    }

    /**
     * 设置：其它行业
     */
    public void setOtherIndustry(String otherIndustry) {
        this.otherIndustry = otherIndustry;
    }

    /**
     * 获取：其它行业
     */
    public String getOtherIndustry() {
        return otherIndustry;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public String getIndustryType() {
        return industryType;
    }

    public void setIndustryType(String industryType) {
        this.industryType = industryType;
    }

    @Override
    public String toString() {
        return "UnitDO{" +
                "id=" + id +
                ", reporterUnit='" + reporterUnit + '\'' +
                ", unitProvince='" + unitProvince + '\'' +
                ", unitCity='" + unitCity + '\'' +
                ", unitOther='" + unitOther + '\'' +
                ", dataIndustry='" + dataIndustry + '\'' +
                ", industryType='" + industryType + '\'' +
                ", desc='" + desc + '\'' +
                ", uploadUser='" + uploadUser + '\'' +
                ", uploadUserid='" + uploadUserid + '\'' +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", liaiseMan='" + liaiseMan + '\'' +
                ", liaiseWay='" + liaiseWay + '\'' +
                ", otherIndustry='" + otherIndustry + '\'' +
                ", deptId=" + deptId +
                '}';
    }
}
